#include "Python.h"

extern void control(int id, int mode);
extern int status(void);


PyObject *led_control(PyObject *self, PyObject *args) {
	int id, mode;

	if (!PyArg_ParseTuple(args, "ii", &id, &mode))
		return NULL;
	control(id, mode);

	return Py_BuildValue("");
}

PyObject *led_status(PyObject *self, PyObject *args) {
	int st = status();
	return Py_BuildValue("i", st);
}

static PyMethodDef led_methods[] = {
	{"control", led_control, METH_VARARGS},
	{"status", led_status, METH_NOARGS},
	{NULL}
};

void initatled(void) {
	PyObject *m = Py_InitModule("atled", led_methods);
	PyModule_AddIntConstant(m, "OFF", 0);
	PyModule_AddIntConstant(m, "ON", 1);
	PyModule_AddIntConstant(m, "RED", 0);
	PyModule_AddIntConstant(m, "YELLOW", 1);
}
